Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class DynAnySeqHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynAnySeqHelper

public class DynAnySeqHelper
extends java.lang.Object

Helper class for : DynAnySeq

Author:
  OpenORB Compiler

Constructor Summary
`DynAnySeqHelper()`

Method Summary
`static DynAny[]` | `extract(Any a)` Extract DynAnySeq from an any
`static java.lang.String` | `id()` Return the DynAnySeq IDL ID
`static void` | `insert(Any a, DynAny[] t)` Insert DynAnySeq into an any
`static DynAny[]` | `read(InputStream istream)` Read DynAnySeq from a marshalled stream
`static TypeCode` | `type()` Return the DynAnySeq TypeCode
`static void` | `write(OutputStream ostream, DynAny[] value)` Write DynAnySeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynAnySeqHelper

    public DynAnySeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynAny[] t)

  Insert DynAnySeq into an any
  Parameters:
    `a` - an any
    `t` - DynAnySeq value

### extract

    public static DynAny[] extract(Any a)

  Extract DynAnySeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynAnySeq value

### type

    public static TypeCode type()

  Return the DynAnySeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynAnySeq IDL ID
  Returns:
    an ID

### read

    public static DynAny[] read(InputStream istream)

  Read DynAnySeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynAnySeq value

### write

    public static void write(OutputStream ostream,
                             DynAny[] value)

  Write DynAnySeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynAnySeq value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD